Bug 713063 - rtl8139:Execute multiple netperf clients caused system call interrupted
rtl8139:Execute multiple netperf clients caused system call interrupted
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: jason wang
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2 716371
  Show dependency treegraph
 
Reported: 2011-06-14 02:40 EDT by YangFeng
Modified: 2015-04-19 20:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 716371 (view as bug list)
Environment:
Last Closed: 2011-10-25 03:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description YangFeng 2011-06-14 02:40:51 EDT
Description of problem:
When I run multiple netperf clients on host, they connect with the
netperf-server in guest.
clients fail to execute cmds and output "interrupted system call"

Version-Release number of selected component (if applicable):
kvm-83-236.el5
2.6.18-266.el5

How reproducible:
always

Steps to Reproduce:
1. boot up a guest with rtl8139
2. setup and launch netperf server in guest
guest)# ./netserver
3. setup and launch multiple netperf client in host.
host)# while true;do ./netperf -t TCP_STREAM -H $guest_ip ;echo Tcp:$?;done &
host)# while true;do ./netperf -t UDP_STREAM -H $guest_ip;echo Udp:$?;done &
host)# while true;do ./netperf -H $guest_ip -- -m 200; echo $? Other:$?;done &
  
Actual results:
netperf clients outputted:
interrupted system call 
netperf remote error 4


Expected results:
netperf commands completed. 

Additional info:
Comment 1 Ronen Hod 2011-06-21 13:37:31 EDT
Jason,
is it related to https://bugzilla.redhat.com/show_bug.cgi?id=704097?
Comment 2 jason wang 2011-06-21 22:44:04 EDT
(In reply to comment #1)
> Jason,
> is it related to https://bugzilla.redhat.com/show_bug.cgi?id=704097?

Yes, looks related. 8193 also lacks the check of buffer availability before receiving packets. I can try this.
Comment 3 YangFeng 2011-06-24 02:11:12 EDT
In step 1, I start guest with 4 nics.
In step 3, launch 4 netperf client in host.  one netperf client per guest nic.
Comment 5 Ronen Hod 2011-07-31 09:38:51 EDT
Jason,
If the backport doesn't solve the problem, then we will reconsider the dev-ack+.
Thanks, Ronen.

Note You need to log in before you can comment on or make changes to this bug.